# -*- coding: utf-8 -*-
import lecoresdk

lesdk = lecoresdk.IoTData()


def handler(event, context):
    get_params = {"productKey": "a1ZJTVsqj2y",  # Please replace it with your Product Key.
                  "deviceName": "LightDev2",  # Please replace it with your Device Name.
                  "payload": ["LightSwitch"]}  # The property defined in the Product TSL.
    res = lesdk.getThingProperties(get_params)
    if 'LightSwitch' in res.keys():
        print("-- [Success] LightSwitch = %s" % res['LightSwitch'])
        if res['LightSwitch'] == '0':
            print("-- Light is off.")
        else:
            print("-- Light is on.")
    else:
        print("-- [Warn] No property LightSwitch return.");
    return 'OK'
